## Class Auth_OpenID_SRegResponse

Description

Represents the data returned in a simple registration response inside of an OpenID C{id_res} response. This object will be created by the OpenID server, added to the C{id_res} response object, and then extracted from the C{id_res} message by the Consumer.

Located in /Auth/OpenID/SReg.php (line 417)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_SRegBase
          |
          --Auth_OpenID_SRegResponse

Variable Summary
mixed $ns_alias
Method Summary
Auth_OpenID_SRegResponse Auth_OpenID_SRegResponse ([ $data = null], [ $sreg_ns_uri = Auth_OpenID_SREG_NS_URI])
void contents ()
void extractResponse ( $request, $data)
void fromSuccessResponse ( &$success_response, [ $signed_only = true])
void get ( $field_name, [ $default = null])
void getExtensionArgs ()
Variables
mixed $ns_alias = 'sreg' (line 419)

Redefinition of:

Auth_OpenID_Extension::$ns_alias

#### Inherited Variables

Inherited from Auth_OpenID_Extension

> Auth_OpenID_Extension::$ns_uri

Methods
Constructor Auth_OpenID_SRegResponse (line 421)
Auth_OpenID_SRegResponse Auth_OpenID_SRegResponse ([ $data = null], [ $sreg_ns_uri = Auth_OpenID_SREG_NS_URI])

- $data
- $sreg_ns_uri

contents (line 515)
void contents ()
extractResponse (line 445)

Take a C{L{SRegRequest}} and a dictionary of simple registration values and create a C{L{SRegResponse}} object containing that data.

request: The simple registration request object

data: The simple registration data for this response, as a dictionary from unqualified simple registration field name to string (unicode) value. For instance, the nickname should be stored under the key 'nickname'.

void extractResponse ( $request, $data)

- $request
- $data

fromSuccessResponse (line 474)

Create a C{L{SRegResponse}} object from a successful OpenID

library response (C{L{openid.consumer.consumer.SuccessResponse}}) response message

success_response: A SuccessResponse from consumer.complete()

signed_only: Whether to process only data that was signed in the id_res message from the server.

Returns a simple registration response containing the data that was supplied with the C{id_res} response.

void fromSuccessResponse ( &$success_response, [ $signed_only = true])

- &$success_response
- $signed_only

get (line 506)
void get ( $field_name, [ $default = null])

- $field_name
- $default

getExtensionArgs (line 500)
void getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2